/**
 *
 * @package OERSI
 * @license: MIT
 *
 * @author Edmond Kacaj <Edmond.Kacaj@tib.eu>
 *
 * Copyright (c) 2022 TIB <https://www.tib.eu/en>
 */

import React from 'react';
import SvgIcon from '@mui/material/SvgIcon';
/**
 *
 * @param {Object} props - props to be passed to the component
 * @returns  {ReactElement} - React element containing the icon
 */
const CreativeCommonsIcon = props => {
	return (
		<SvgIcon {...props} viewBox='5.5 -3.5 65 65'>
			<path d='M37.441 -3.5c8.951 0 16.572 3.125 22.857 9.372c3.008 3.009 5.295 6.448 6.857 10.314c1.561 3.867 2.344 7.971 2.344 12.314c0 4.381 -0.773 8.486 -2.314 12.313c-1.543 3.828 -3.82 7.21 -6.828 10.143c-3.123 3.085 -6.666 5.448 -10.629 7.086c-3.961 1.638 -8.057 2.457 -12.285 2.457s-8.276 -0.808 -12.143 -2.429c-3.866 -1.618 -7.333 -3.961 -10.4 -7.027c-3.067 -3.066 -5.4 -6.524 -7 -10.372S5.5 32.767 5.5 28.5c0 -4.229 0.809 -8.295 2.428 -12.2c1.619 -3.905 3.972 -7.4 7.057 -10.486C21.08 -0.394 28.565 -3.5 37.441 -3.5zM37.557 2.272c-7.314 0 -13.467 2.553 -18.458 7.657c-2.515 2.553 -4.448 5.419 -5.8 8.6c-1.354 3.181 -2.029 6.505 -2.029 9.972c0 3.429 0.675 6.734 2.029 9.913c1.353 3.183 3.285 6.021 5.8 8.516c2.514 2.496 5.351 4.399 8.515 5.715c3.161 1.314 6.476 1.971 9.943 1.971c3.428 0 6.75 -0.665 9.973 -1.999c3.219 -1.335 6.121 -3.257 8.713 -5.771c4.99 -4.876 7.484 -10.99 7.484 -18.344c0 -3.543 -0.648 -6.895 -1.943 -10.057c-1.293 -3.162 -3.18 -5.98 -5.654 -8.458C50.984 4.844 44.795 2.272 37.557 2.272zM37.156 23.187l-4.287 2.229c-0.458 -0.951 -1.019 -1.619 -1.685 -2c-0.667 -0.38 -1.286 -0.571 -1.858 -0.571c-2.856 0 -4.286 1.885 -4.286 5.657c0 1.714 0.362 3.084 1.085 4.113c0.724 1.029 1.791 1.544 3.201 1.544c1.867 0 3.181 -0.915 3.944 -2.743l3.942 2c-0.838 1.563 -2 2.791 -3.486 3.686c-1.484 0.896 -3.123 1.343 -4.914 1.343c-2.857 0 -5.163 -0.875 -6.915 -2.629c-1.752 -1.752 -2.628 -4.19 -2.628 -7.313c0 -3.048 0.886 -5.466 2.657 -7.257c1.771 -1.79 4.009 -2.686 6.715 -2.686C32.604 18.558 35.441 20.101 37.156 23.187zM55.613 23.187l-4.229 2.229c-0.457 -0.951 -1.02 -1.619 -1.686 -2c-0.668 -0.38 -1.307 -0.571 -1.914 -0.571c-2.857 0 -4.287 1.885 -4.287 5.657c0 1.714 0.363 3.084 1.086 4.113c0.723 1.029 1.789 1.544 3.201 1.544c1.865 0 3.18 -0.915 3.941 -2.743l4 2c-0.875 1.563 -2.057 2.791 -3.541 3.686c-1.486 0.896 -3.105 1.343 -4.857 1.343c-2.896 0 -5.209 -0.875 -6.941 -2.629c-1.736 -1.752 -2.602 -4.19 -2.602 -7.313c0 -3.048 0.885 -5.466 2.658 -7.257c1.77 -1.79 4.008 -2.686 6.713 -2.686C51.117 18.558 53.938 20.101 55.613 23.187z' />
		</SvgIcon>
	);
};

export default CreativeCommonsIcon;
